Subject: Re: bug#15046: 24.3.50; Extra Line under minibuffer in Mac OSX fullscreen

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Aug 2013 12:19:31 -0400

>> And moreover: In the cases when the text in the mini-window spans to
>> more than one line, Emacs should expand the height of the mini-window
>> so that the whole text is visible
> Unless resize-mini-windows is nil.

At least for echo-area messages, half-lines are kind of useless, since
it's kind of awkward to see the missing part: if you're lucky you can
see it by looking for the copy stashed in *Messages*, but otherwise, any
attempt to run a command which might help would start by erasing
that message.
Of course if the "half-line" really shows 90% of the height, the missing
part is probably not a problem.

        Stefan